summaryrefslogtreecommitdiff
path: root/plymouth/debian/plymouth-x11.postrm
diff options
context:
space:
mode:
Diffstat (limited to 'plymouth/debian/plymouth-x11.postrm')
-rw-r--r--plymouth/debian/plymouth-x11.postrm24
1 files changed, 24 insertions, 0 deletions
diff --git a/plymouth/debian/plymouth-x11.postrm b/plymouth/debian/plymouth-x11.postrm
new file mode 100644
index 0000000..f780360
--- /dev/null
+++ b/plymouth/debian/plymouth-x11.postrm
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+set -e
+
+case "${1}" in
+ remove)
+ if which update-initramfs >/dev/null 2>&1; then
+ update-initramfs -u
+ fi
+ ;;
+
+ purge|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
bgstack15